# WARNING - Generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand

#' Save a csv file
#' 
#' A function to save the data in csv file
#' 
#' @importFrom tools file_ext
#' @importFrom utils write.csv2
#'
#' @param data data.frame. 
#' @param file_path  character. The path where the data will be saved
#' @param ... arguments to write.table: append, col.names, sep, dec and qmethod cannot be altered. 
#' 
#' @return character. The path where the data will be saved
#' 
#' @export
#' @examples
#' 
#' # Exemple 1: 
#' 
#' # Création d'un dossier temporaire
#' mon_dossier_temp <- tempfile(pattern = "savecsv")
#' dir.create(mon_dossier_temp)
#' 
#' # ok : le fichier .csv est enregistré dans le projet actuel
#' iris %>% save_as_csv(file.path(mon_dossier_temp, "output.csv"))
#' 
#' # ok : le fichier .csv est enregistré et le fichier s'ouvre
#' iris %>% save_as_csv(file.path(mon_dossier_temp, "output.csv")) %>% browseURL()  
#' 
#' unlink(mon_dossier_temp,recursive=TRUE)
#' 
#' # Exemple 2: 
#' 
#' mon_dossier_temp <- tempfile(pattern = "savecsv")
#' 
#' dir.create(mon_dossier_temp)
#' 
#' data(data_act_squirrels)
#' 
#' res_study_activity <- study_activity(df_squirrels_act = data_act_squirrels, 
#'                col_primary_fur_color = "Gray") 
#' 
#' save_as_csv(data=res_study_activity$table,
#'             file.path(mon_dossier_temp, "output.csv"))
#' 
#' unlink(mon_dossier_temp,recursive=TRUE)
#' 
save_as_csv <- function(data, file_path,...){

  if(isFALSE(inherits(data, "data.frame"))){
    stop("The data must be a data.frame!")
  }
  
  if(isTRUE(nrow(data) == 0)){
    stop("The data must not be empty!")
  }
  
  if(isFALSE(file_ext(file_path)=="csv")){
    stop("The file must be csv file.")
  }
  
  if(isFALSE(dir.exists(dirname(file_path)))){
        stop("The dir where you want to put the file does not exists.")
  }

  write.csv2(
    x=data,
    file=file_path,
    ...)
  
  return(file_path)
}
